# Generated by Django 2.2.7 on 2019-11-30 10:58

import colorful.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(max_length=32)),
                ('short_state', models.CharField(max_length=12)),
                ('description', models.TextField()),
                ('color', colorful.fields.RGBColorField()),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=64)),
                ('submission_date', models.DateTimeField(auto_now_add=True)),
                ('last_update', models.DateTimeField(auto_now=True)),
                ('author', models.CharField(max_length=32)),
                ('author_contact', models.EmailField(max_length=254)),
                ('for_who', models.CharField(max_length=32)),
                ('published', models.BooleanField(default=False)),
                ('short_description', models.CharField(max_length=128)),
                ('description', models.TextField()),
                ('team', models.TextField(blank=True)),
                ('team_contact', models.EmailField(blank=True, max_length=254)),
                ('projects_state', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='api.ProjectState')),
                ('published_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
